Skip to content
Guides
API reference
stable

Get store by slug

GET/v1/stores/{slug}

Path Parameters

slug*string

URL-friendly identifier.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/stores/string"
{  "id": "string",  "tenantId": "string",  "sellerId": null,  "plan": "string",  "storageLimitBytes": 0,  "monthlyTransferLimitBytes": 0,  "maxUploadSizeBytes": 0,  "maxStores": 0,  "maxMembers": 0,  "maxProducts": 0,  "maxCategories": 0,  "maxBrands": 0,  "maxAttributes": 0,  "maxCollections": 0,  "enableApi": true,  "isActive": true,  "name": "string",  "description": "string",  "avatarUrl": null,  "logo": null,  "icon": null,  "slug": null,  "domain": null,  "domains": [    "string"  ],  "timeZone": "string",  "currency": "string",  "language": "string",  "visibility": "public",  "privateAccessVersion": 0,  "themeConfig": {    "name": null,    "mode": null,    "colors": {      "property1": "string",      "property2": "string"    },    "fonts": {      "property1": "string",      "property2": "string"    },    "assets": {      "property1": "string",      "property2": "string"    }  },  "featuresEnabled": {    "flags": {      "property1": true,      "property2": true    }  },  "checkoutSettings": {    "general": {      "allowGuestCheckout": true,      "identityScope": "store",      "signInMethods": [],      "useSequentialOrderNumbers": true,      "automaticallySelectFirstAddress": true,      "alwaysRequestCustomerAddress": true,      "requestCustomerDateOfBirth": true,      "automaticallySelectBestPromotion": true    },    "shipping": {      "showDeliveryTime": true,      "showDeliveryTimeInDays": true,      "useBusinessDaysForDeliveryTime": true,      "showEstimatedDeliveryDateInThankYouAndEmails": true,      "showOriginalShippingPriceWhenFree": true    },    "cartPage": {      "showShippingCostCalculation": true,      "allowProductLinks": true,      "redirectToCartPage": true    },    "orderBumps": {      "mergeOrderBumpOrders": true,      "allowOnlyOneAdditionalOffer": true,      "maxVisibleOffers": 0    },    "ordersAndPayments": {      "allowPurchasesFrom": "any",      "creditCardDailyOrderLimitPerIp": null,      "maximumItemsPerOrder": null,      "deliveryNoteText": null,      "boletoPaymentNoteText": null    }  }}